ols1clk version 1.2 released!

Discussion in 'OpenLiteSpeed News' started by lsfoo, May 17, 2016.

  1. lsfoo

    lsfoo Administrator

    Hi Everyone,

    This version fixes a bug that occurs when trying to install multiple times despite success.

    The bug occurred when installing multiple times without changing the parameters. The script may save the incorrect password to the wp-config.php file if creating a new user failed.

    The updated script is available at our GitHub.

    Cheers,
    Kevin
     
  2. enthess

    enthess Member

    Good work OLS-team!
    I'd like to request a parameter that allows you to decide php-version.
    f.ex like:
    ./ols1clk --phpversion 7.0.6 (or 7, 5 etc).
     
  3. lsfoo

    lsfoo Administrator

    Hi enthess,

    Thanks for the recommendation! We will discuss this. It will likely be implemented, we just need to think about version limitations (e.g. allowing 5.6.15 vs just allowing 5.6).

    If you've got more, keep em coming!

    Cheers,
    Kevin
     
  4. enthess

    enthess Member

    Hello!

    Ofcourse, you must keep it simple!
    Then i had another idea. If its possible.
    In my mind, you creators are the ones who knows best about configuration. If possible, you could add some "optimized configurations" based on your preferences.
    Depending on what the purpose of the OLS is, for example wordpress, static webpage, REST-API etc.
    You could ask for basic configuration for those types.
    example ./ols1clk --configuration=wordpress .

    If its possible. Understand if it requires too much work.
     
  5. lsfoo

    lsfoo Administrator

    Hi enthess,

    I will mention it, but I have a feeling that it may be too much work because there are many different types of setups, hardware and software, so it'd be difficult to encapsulate everything.

    You did mention basic configurations, so that may be possible, so we will see.

    Cheers,
    Kevin
     

Share This Page